Subject: [PATCH 1/3] ARM: AT91: IIO: add low and high res support for adc

From: [email-masked] (Maxime Ripard)
Date: Mon, 07 Jan 2013 10:20:04 +0100

Le 22/12/2012 18:21, Jean-Christophe PLAGNIOL-VILLARD a ?crit :
> On 10:07 Fri 21 Dec     , Maxime Ripard wrote:
>> Le 20/12/2012 17:13, ludovic.desroches a ?crit :
>>> I have not found other ways to deal with it properly. I would like to
>>> have them hidden into the driver (depending on the compatible string)
>>> but it will be a mess if we split parameters into dt and driver.
>>
>> I'm glad we feel the same way :)
> I'm not I fee; exactly this opposte way
> 
> I do want to toucht the kernel code to add new soc

This is an argument we already had, and yes, I still don't like these
bindings.

And both this patchset and what Ludovic and you said in this thread have
proven that this is something that can't be achieved, you'll always have
to modify the driver anyway.

-- 
Maxime Ripard, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com